| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.OrderedNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.OrderedNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.OrderedNode:
[legend]

## Public Member Functions
def | __init__ (self, lhs, rhs)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| lhs
| rhs

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Represent order of execution of nodes.

Definition at line 80 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.OrderedNode.__init__ | ( |  | self,
|  |  | lhs,
|  |  | rhs
| ) |  |

Definition at line 84 of file ControlFlow.py.

84 def __init__(self, lhs, rhs):
85 self.lhs = lhs
86 self.rhs = rhs
87
GaudiConfig.ControlFlow.OrderedNode.rhs
rhs
Definition: ControlFlow.py:86
GaudiConfig.ControlFlow.OrderedNode.lhs
lhs
Definition: ControlFlow.py:85
GaudiConfig.ControlFlow.OrderedNode.__init__
def __init__(self, lhs, rhs)
Definition: ControlFlow.py:84

## Member Function Documentation

def GaudiConfig.ControlFlow.OrderedNode.__repr__ | ( |  | self | ) |

Definition at line 88 of file ControlFlow.py.

88 def __repr__(self):
89 return "(%r >> %r)" % (self.lhs, self.rhs)
90
GaudiConfig.ControlFlow.OrderedNode.__repr__
def __repr__(self)
Definition: ControlFlow.py:88
GaudiConfig.ControlFlow.OrderedNode.rhs
rhs
Definition: ControlFlow.py:86
GaudiConfig.ControlFlow.OrderedNode.lhs
lhs
Definition: ControlFlow.py:85

def GaudiConfig.ControlFlow.OrderedNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 91 of file ControlFlow.py.

91 def _visitSubNodes(self, visitor):
92 self.lhs.visitNode(visitor)
93 self.rhs.visitNode(visitor)
94
95
GaudiConfig.ControlFlow.OrderedNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:91

## Member Data Documentation

GaudiConfig.ControlFlow.OrderedNode.lhs

Definition at line 85 of file ControlFlow.py.

GaudiConfig.ControlFlow.OrderedNode.rhs

Definition at line 86 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py